[arch-commits] Commit in pm-utils/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Tue Dec 1 11:42:51 EST 2009


    Date: Tuesday, December 1, 2009 @ 11:42:51
  Author: giovanni
Revision: 60171

Merged revisions 60170 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/pm-utils/trunk

........
  r60170 | giovanni | 2009-12-01 08:42:08 -0800 (mar, 01 dic 2009) | 2 lines
  
  upgpkg: pm-utils 1.2.6-1
      upstream release
........

Modified:
  pm-utils/repos/extra-i686/	(properties)
  pm-utils/repos/extra-i686/PKGBUILD
  pm-utils/repos/extra-i686/daemons.patch

---------------+
 PKGBUILD      |   24 +++++++++++++-----------
 daemons.patch |   10 +++++-----
 2 files changed, 18 insertions(+), 16 deletions(-)


Property changes on: pm-utils/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /pm-utils/trunk:1-35236
   + /pm-utils/trunk:1-60170

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-12-01 16:42:08 UTC (rev 60170)
+++ extra-i686/PKGBUILD	2009-12-01 16:42:51 UTC (rev 60171)
@@ -1,8 +1,9 @@
-#$Id$
-#Maintainer: Thayer Williams <thayer at archlinux.org>
+# $Id$
+# Maintainer: Thayer Williams <thayer at archlinux.org>
+# Contributor: Giovanni Scafora <giovanni at archlinux.org>
 
 pkgname=pm-utils
-pkgver=1.2.5
+pkgver=1.2.6
 pkgrel=1
 pkgdesc="Utilities and scripts for suspend and hibernate power management"
 arch=('i686' 'x86_64')
@@ -13,21 +14,22 @@
 source=(http://pm-utils.freedesktop.org/releases/${pkgname}-${pkgver}.tar.gz
         11netcfg
        	daemons.patch)
-md5sums=('f69db402e1869321cac72ffd2f77fa99'
+md5sums=('fcd83f6af477e19767164473f7cb8b50'
          '9839687c8787d99fd4ff36aa3238c27b'
-         '8b26b51f0c1f3330bb4f9f0ff57f4717')
+         '7be3f7460569d5a382474abd7f7b53fb')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
   # make sure Arch Linux daemons are properly handled
-  patch -Np0 -i $srcdir/daemons.patch || return 1
+  patch -Np1 -i ${srcdir}/daemons.patch || return 1
 
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  ./configure --prefix=/usr \
+              --sysconfdir=/etc \
+              --localstatedir=/var
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR=${pkgdir} install || return 1
 
   # install additional hooks
-  install -m755 $srcdir/11netcfg $pkgdir/usr/lib/pm-utils/sleep.d/11netcfg
+  install -m755 ${srcdir}/11netcfg "${pkgdir}/usr/lib/pm-utils/sleep.d/11netcfg"
 }
-

Modified: extra-i686/daemons.patch
===================================================================
--- extra-i686/daemons.patch	2009-12-01 16:42:08 UTC (rev 60170)
+++ extra-i686/daemons.patch	2009-12-01 16:42:51 UTC (rev 60171)
@@ -1,15 +1,15 @@
---- pm/functions.in.bak	2009-02-17 21:25:46.940839964 -0800
-+++ pm/functions.in	2009-02-17 21:26:55.506262018 -0800
-@@ -129,7 +129,7 @@
+--- a/pm/functions.in	2009-11-07 21:51:04.000000000 -0800
++++ b/pm/functions.in	2009-12-01 17:30:59.000000000 -0800
+@@ -141,7 +141,7 @@
  if ! command_exists service; then
  	service()
  	{
 -	    for svc in "/etc/init.d/$1" "/etc/rc.d/rc.$1"; do #lsb, then slack
-+		for svc in "/etc/init.d/$1" "/etc/rc.d/$1"; do #lsb, then slack
++	    for svc in "/etc/init.d/$1" "/etc/rc.d/$1"; do #lsb, then slack
  		[ -x "$svc" ] && { shift; "$svc" "$@"; return $?; }
              done
              # this only happens if we did not find the service
-@@ -141,7 +141,7 @@
+@@ -153,7 +153,7 @@
  
  stopservice()
  {



More information about the arch-commits mailing list